package com.goafanti.expenseAccount.bo;

import com.goafanti.common.constant.ErrorConstants;
import com.goafanti.common.model.ExpenseAccountPrivate;
import com.goafanti.common.utils.Param;

import javax.validation.constraints.NotNull;

public class InputExpenseAccountPrivate extends ExpenseAccountPrivate {

    private String aid;
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    @Param(name = "帐号名称")
    private String name;
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    @Param(name = "银行名称")
    private String bank;
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    @Param(name = "帐号")
    private String accounts;
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    @Param(name = "开户行名称")
    private String openBank;
    private Integer eaid;

    public Integer getEaid() {
        return eaid;
    }

    public void setEaid(Integer eaid) {
        this.eaid = eaid;
    }

    @Override
    public String getAid() {
        return aid;
    }

    @Override
    public void setAid(String aid) {
        this.aid = aid;
    }

    @Override
    public String getName() {
        return name;
    }

    @Override
    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String getBank() {
        return bank;
    }

    @Override
    public void setBank(String bank) {
        this.bank = bank;
    }

    @Override
    public String getAccounts() {
        return accounts;
    }

    @Override
    public void setAccounts(String accounts) {
        this.accounts = accounts;
    }

    @Override
    public String getOpenBank() {
        return openBank;
    }

    @Override
    public void setOpenBank(String openBank) {
        this.openBank = openBank;
    }
}
